TAU_GET_COUNTER_NAME(3)

Name
TAU_GET_COUNTER_NAMES - Gets the counter names

Synopsis

C/C++:

TAU_GET_COUNTER_NAMES(char **counterList, int numCounters);

Description

TAU_GET_COUNTER_NAMES returns the list of counter names and the number of counters used for measurement. When wallclock time is used, the counter name of "default" is returned.

Example

C/C++ :

    int numOfCounters;
    const char ** counterList;
    TAU_GET_COUNTER_NAMES(counterList, numOfCounters);
    for(int j=0;j<numOfCounters;j++){
      cout << "The counter names so far are: " << counterList[j] << endl;
    }

Python:

    import pytau
    pytau.getCounterNames(counterList, numOfCounters);

See Also

TAU_GET_FUNC_NAMES(3), TAU_GET_FUNC_VALS(3)